Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Denial of Service >> Jabberd SASL Negotiation Denial of Service Vulnerability


Vulnerability Assessment Details

Jabberd SASL Negotiation Denial of Service Vulnerability

Vulnerability Assessment Summary
Tries to crash jabberd c2s component

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote instant messaging server is affected by a denial of service
issue.

Description :

The remote host is running jabberd, an open-source messaging system
based on the Jabber protocol.

The version of jabberd installed on the remote host suffers a segfault
when a client sends a SASL 'response' stanza before a SASL 'auth'
stanza. An unauthenticated remote attacker can leverage this flaw to
crash the application's c2s component, thereby denying service to
legitimate users.

See also :

http://mail.jabber.org/pipermail/jadmin/2006-March/023687.html

Solution :

Upgrade to jabberd 2s11 or later.

Network Security Threat Level:

Low / CVSS Base Score : 2.3
(AV:R/AC:L/Au:NR/C:N/I:N/A:P/B:N)

Networks Security ID: 17155

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Atari Arcade Duo for iPad
$7.0
Atari Arcade Duo for iPad pictureAtari Greatest Hits Arcade Hits Vol 1 CD ROM (12) Games Infogrames NEW/SEALED
$19.99
Atari Greatest Hits Arcade Hits Vol 1 CD ROM (12) Games Infogrames NEW/SEALED  pictureEpyx Jumpman for Atari 400/800/XL
$15.0
Epyx Jumpman for Atari 400/800/XL pictureAvalon Hill's Galaxy for the TI 994/a, TRS-80 Model 3/4, C64, Apple II, Atari
$10.0
Avalon Hill's Galaxy for the TI 994/a, TRS-80 Model 3/4, C64, Apple II, Atari picture


Discussions

No Discussions have been posted on this vulnerability.